<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MMSThumbnailMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $thumbnailDirectPath = null;
    


    protected $thumbnailSha256 = null;
    


    protected $thumbnailEncSha256 = null;
    


    protected $mediaKey = null;
    


    protected $mediaKeyTimestamp = null;
    


    protected $thumbnailHeight = null;
    


    protected $thumbnailWidth = null;
    


    protected $mediaKeyDomain = null;

    















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getThumbnailDirectPath()
    {
        return isset($this->thumbnailDirectPath) ? $this->thumbnailDirectPath : '';
    }

    public function hasThumbnailDirectPath()
    {
        return isset($this->thumbnailDirectPath);
    }

    public function clearThumbnailDirectPath()
    {
        unset($this->thumbnailDirectPath);
    }

    




    public function setThumbnailDirectPath($var)
    {
        GPBUtil::checkString($var, True);
        $this->thumbnailDirectPath = $var;

        return $this;
    }

    



    public function getThumbnailSha256()
    {
        return isset($this->thumbnailSha256) ? $this->thumbnailSha256 : '';
    }

    public function hasThumbnailSha256()
    {
        return isset($this->thumbnailSha256);
    }

    public function clearThumbnailSha256()
    {
        unset($this->thumbnailSha256);
    }

    




    public function setThumbnailSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->thumbnailSha256 = $var;

        return $this;
    }

    



    public function getThumbnailEncSha256()
    {
        return isset($this->thumbnailEncSha256) ? $this->thumbnailEncSha256 : '';
    }

    public function hasThumbnailEncSha256()
    {
        return isset($this->thumbnailEncSha256);
    }

    public function clearThumbnailEncSha256()
    {
        unset($this->thumbnailEncSha256);
    }

    




    public function setThumbnailEncSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->thumbnailEncSha256 = $var;

        return $this;
    }

    



    public function getMediaKey()
    {
        return isset($this->mediaKey) ? $this->mediaKey : '';
    }

    public function hasMediaKey()
    {
        return isset($this->mediaKey);
    }

    public function clearMediaKey()
    {
        unset($this->mediaKey);
    }

    




    public function setMediaKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->mediaKey = $var;

        return $this;
    }

    



    public function getMediaKeyTimestamp()
    {
        return isset($this->mediaKeyTimestamp) ? $this->mediaKeyTimestamp : 0;
    }

    public function hasMediaKeyTimestamp()
    {
        return isset($this->mediaKeyTimestamp);
    }

    public function clearMediaKeyTimestamp()
    {
        unset($this->mediaKeyTimestamp);
    }

    




    public function setMediaKeyTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->mediaKeyTimestamp = $var;

        return $this;
    }

    



    public function getThumbnailHeight()
    {
        return isset($this->thumbnailHeight) ? $this->thumbnailHeight : 0;
    }

    public function hasThumbnailHeight()
    {
        return isset($this->thumbnailHeight);
    }

    public function clearThumbnailHeight()
    {
        unset($this->thumbnailHeight);
    }

    




    public function setThumbnailHeight($var)
    {
        GPBUtil::checkUint32($var);
        $this->thumbnailHeight = $var;

        return $this;
    }

    



    public function getThumbnailWidth()
    {
        return isset($this->thumbnailWidth) ? $this->thumbnailWidth : 0;
    }

    public function hasThumbnailWidth()
    {
        return isset($this->thumbnailWidth);
    }

    public function clearThumbnailWidth()
    {
        unset($this->thumbnailWidth);
    }

    




    public function setThumbnailWidth($var)
    {
        GPBUtil::checkUint32($var);
        $this->thumbnailWidth = $var;

        return $this;
    }

    



    public function getMediaKeyDomain()
    {
        return isset($this->mediaKeyDomain) ? $this->mediaKeyDomain : 0;
    }

    public function hasMediaKeyDomain()
    {
        return isset($this->mediaKeyDomain);
    }

    public function clearMediaKeyDomain()
    {
        unset($this->mediaKeyDomain);
    }

    




    public function setMediaKeyDomain($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\MediaKeyDomain::class);
        $this->mediaKeyDomain = $var;

        return $this;
    }

}

